TestSuiteBinarySpec (Gradle API 9.7.1)
Description: declaration: package: org.gradle.testing.base, interface: TestSuiteBinarySpec

# Interface TestSuiteBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec, NativeTestSuiteBinarySpec`

@Incubating @Deprecated public interface TestSuiteBinarySpec extends BinarySpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A binary which runs a suite of tests.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BinarySpec`
  `getTestedBinary()`
  Deprecated.
  Returns the binary tested by this test suite.
  `TestSuiteSpec`
  `getTestSuite()`
  Deprecated.
  Returns the test suite that this binary belongs to.

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface BinarySpec

  `getInputs, getSources, getTasks, isBuildable`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

- ## Method Details

  - ### getTestSuite

    TestSuiteSpec getTestSuite()
    Deprecated.
    Returns the test suite that this binary belongs to.

  - ### getTestedBinary

    BinarySpec getTestedBinary()
    Deprecated.
    Returns the binary tested by this test suite.